# Uses of Class
org.apache.lucene.util.ByteBlockPool

Packages that use ByteBlockPool
Package
Description
org.apache.lucene.util
Some utility classes.

- ## Uses of ByteBlockPool in org.apache.lucene.util

  Methods in org.apache.lucene.util with parameters of type ByteBlockPool
  Modifier and Type
  Method
  Description
  `void`
  ByteBlockPool.`append(ByteBlockPool srcPool, long srcOffset, int length)`
  Append the bytes from a source `ByteBlockPool` at a given offset and length
  Constructors in org.apache.lucene.util with parameters of type ByteBlockPool
  Modifier
  Constructor
  Description
  ``
  `BytesRefBlockPool(ByteBlockPool byteBlockPool)`
  ``
  `BytesRefHash(ByteBlockPool pool)`
  Creates a new `BytesRefHash`
  ``
  `BytesRefHash(ByteBlockPool pool, int capacity, BytesRefHash.BytesStartArray bytesStartArray)`
  Creates a new `BytesRefHash`